Package wx :: Package lib :: Module plot :: Class PlotGraphics

[frames | no frames]

## Class PlotGraphics

Container to hold PolyXXX objects and graph labels - All methods except __init__ are private.

Method Summary
| ``__init__`(self, objects, title, xLabel, yLabel)` Creates PlotGraphics object objects - list of PolyXXX objects to make graph title - title shown at top of graph xLabel - label shown on x-axis yLabel - label shown on y-axis
| `__getitem__(self, item)`
| `__len__(self)`
| `boundingBox(self)`
| `draw(self, dc)`
| ``getLegendNames`(self)` Returns list of legend names
| ``getSymExtent`(self, printerScale)` Get max width and height of lines and markers symbols for legend
| ``getTitle`(self, title)` Get the title at the top of graph
| ``getXLabel`(self)` Get x axis label string
| ``getYLabel`(self)` Get y axis label string
| `scaleAndShift(self, scale, shift)`
| `setLogScale(self, logscale)`
| ``setPrinterScale`(self, scale)` Thickens up lines and markers only for printing
| ``setTitle`(self, title)` Set the title at the top of graph
| ``setXLabel`(self, xLabel)` Set the X axis label on the graph
| ``setYLabel`(self, yLabel)` Set the Y axis label on the graph

Method Details

### __init__(self, objects, title='', xLabel='', yLabel='')
(Constructor)

Creates PlotGraphics object objects - list of PolyXXX objects to make graph title - title shown at top of graph xLabel - label shown on x-axis yLabel - label shown on y-axis

### getLegendNames(self)

Returns list of legend names

### getSymExtent(self, printerScale)

Get max width and height of lines and markers symbols for legend

### getTitle(self, title='')

Get the title at the top of graph

### getXLabel(self)

Get x axis label string

### getYLabel(self)

Get y axis label string

### setPrinterScale(self, scale)

Thickens up lines and markers only for printing

### setTitle(self, title='')

Set the title at the top of graph

### setXLabel(self, xLabel='')

Set the X axis label on the graph

### setYLabel(self, yLabel='')

Set the Y axis label on the graph

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:31 2007 | http://epydoc.sf.net